package com.mortals.xhx.daemon.task;

import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONException;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.TypeReference;
import com.mortals.framework.common.Rest;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.ITask;
import com.mortals.framework.service.ITaskExcuteService;
import com.mortals.xhx.base.system.user.service.UserService;
import com.mortals.xhx.common.code.ProductDisEnum;
import com.mortals.xhx.common.code.ProjectStatusEnum;
import com.mortals.xhx.common.code.ProjectTypeEnum;
import com.mortals.xhx.common.pdu.ListItem;
import com.mortals.xhx.common.pdu.NacosResponse;
import com.mortals.xhx.module.setup.model.SetupProjectEntity;
import com.mortals.xhx.module.setup.service.SetupProjectService;
import lombok.extern.slf4j.Slf4j;
import org.checkerframework.checker.units.qual.A;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.io.File;
import java.util.Date;
import java.util.List;

/**
 * 检测项目运行状态
 */
@Slf4j
@Service("CheckProjectStatusTask")
public class CheckProjectStatusTaskImpl implements ITaskExcuteService {

    @Autowired
    private SetupProjectService setupProjectService;

    @Override
    public void excuteTask(ITask task) throws AppException {
        log.info("检测项目运行状态任务");
        setupProjectService.updateProjectsStatus();
        log.info("检测项目运行状态任务完毕！");
    }


    @Override
    public void stopTask(ITask task) throws AppException {

    }


}
